cascading.util

## Class Pair<Lhs,Rhs>

- java.lang.Object
- - cascading.util.Pair<Lhs,Rhs>

-     public class Pair<Lhs,Rhs>
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Pair(Lhs lhs, Rhs rhs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object object)`
    `Lhs` | `getLhs()`
    `Rhs` | `getRhs()`
    `int` | `hashCode()`
    `void` | `setLhs(Lhs lhs)`
    `void` | `setRhs(Rhs rhs)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Pair

          public Pair(Lhs lhs,
              Rhs rhs)

  - ### Method Detail

    - #### getLhs

          public Lhs getLhs()

    - #### setLhs

          public void setLhs(Lhs lhs)

    - #### getRhs

          public Rhs getRhs()

    - #### setRhs

          public void setRhs(Rhs rhs)

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.